<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSLFShadow (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSLFShadow (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFShadow.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFShadow.html" target="_top">Frames</a>
        </li>
        <li><a href="XSLFShadow.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xslf.usermodel</div>
    <h2 title="Class XSLFShadow" class="title">Class XSLFShadow</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                       title="class in org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel.XSLFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xslf.usermodel.XSLFShadow</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                           title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSLFShadow</span>
extends <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
           title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>
implements <a href="../../../../../org/apache/poi/sl/usermodel/Shadow.html"
              title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</pre>
                <div class="block">Represents a shadow of a shape. For now supports only outer shadows.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.awt.geom.Rectangle2D</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html#getAnchor--">getAnchor</a></span>()</code>
                                    <div class="block">Returns the anchor (the bounding box rectangle) of this shape.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html#getAngle--">getAngle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html#getBlur--">getBlur</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html#getDistance--">getDistance</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html#getFillColor--">getFillColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.SolidPaint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html#getFillStyle--">getFillStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html#getShadowParent--">getShadowParent</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a></span>(java.awt.geom.Rectangle2D&nbsp;anchor)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xslf.usermodel.XSLFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#fetchShapeProperty-org.apache.poi.xslf.model.PropertyFetcher-">fetchShapeProperty</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getBgPr--">getBgPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getBgRef--">getBgRef</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getChild-java.lang.Class-java.lang.String-java.lang.String-">getChild</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getCNvPr--">getCNvPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getFillPaint--">getFillPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getGrpSpPr--">getGrpSpPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholder--">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholderDetails--">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeProperties--">getShapeProperties</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getSpStyle--">getSpStyle</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getXmlObject--">getXmlObject</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#isPlaceholder--">isPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties-org.apache.poi.openxml4j.opc.PackagePart-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-boolean-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.apache.poi.xslf.usermodel.XSLFPropertiesDelegate.XSLFFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectProperty-java.lang.Class-java.lang.String-">selectProperty</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setParent-org.apache.poi.xslf.usermodel.XSLFShapeContainer-">setParent</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getShadowParent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShadowParent</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a>&nbsp;getShadowParent()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shadow.html#getShadowParent--">getShadowParent</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAnchor</h4>
                                <pre>public&nbsp;java.awt.geom.Rectangle2D&nbsp;getAnchor()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">Shape</a></code></span>
                                </div>
                                <div class="block">Returns the anchor (the bounding box rectangle) of this shape.
                                    All coordinates are expressed in points (72 dpi).
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">getAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the anchor of this shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAnchor-java.awt.geom.Rectangle2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAnchor</h4>
                                <pre>public&nbsp;void&nbsp;setAnchor(java.awt.geom.Rectangle2D&nbsp;anchor)</pre>
                            </li>
                        </ul>
                        <a name="getDistance--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDistance</h4>
                                <pre>public&nbsp;double&nbsp;getDistance()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shadow.html#getDistance--">getDistance</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the offset of this shadow in points</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAngle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAngle</h4>
                                <pre>public&nbsp;double&nbsp;getAngle()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shadow.html#getAngle--">getAngle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the direction to offset the shadow in angles</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBlur--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBlur</h4>
                                <pre>public&nbsp;double&nbsp;getBlur()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shadow.html#getBlur--">getBlur</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the blur radius of the shadow
                                        TODO: figure out how to make sense of this property when rendering shadows
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFillColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillColor</h4>
                                <pre>public&nbsp;java.awt.Color&nbsp;getFillColor()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the color of this shadow.
                                        Depending whether the parent shape is filled or stroked, this color is used to
                                        fill or stroke this shadow
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFillStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getFillStyle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle.SolidPaint</a>&nbsp;getFillStyle()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/Shadow.html#getFillStyle--">getFillStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                                title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the color of this shadow.
                                        Depending whether the parent shape is filled or stroked, this color is used to
                                        fill or stroke this shadow
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFShadow.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFShadow.html" target="_top">Frames</a>
        </li>
        <li><a href="XSLFShadow.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
